Package org.apache.sysds.runtime.iogen

## Class CustomProperties

- java.lang.Object
- - org.apache.sysds.runtime.io.FileFormatProperties
  - - org.apache.sysds.runtime.iogen.CustomProperties

- All Implemented Interfaces:
    `Serializable`

      public class CustomProperties
      extends FileFormatProperties
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomProperties()` |
    `CustomProperties​(org.apache.sysds.runtime.iogen.CustomProperties.GRPattern rowPattern, String delim, String indexDelim, int firstColIndex)` |
    `CustomProperties​(org.apache.sysds.runtime.iogen.CustomProperties.GRPattern rowPattern, String delim, HashSet<String> naStrings)` |
    `CustomProperties​(org.apache.sysds.runtime.iogen.CustomProperties.GRSymmetry grSymmetry, String delim, int firstRowIndex, int firstColIndex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.sysds.runtime.iogen.CustomProperties.GRPattern` | `getColPattern()` |
    `String` | `getDelim()` |
    `int` | `getFirstColIndex()` |
    `int` | `getFirstRowIndex()` |
    `org.apache.sysds.runtime.iogen.CustomProperties.GRSymmetry` | `getGrSymmetry()` |
    `String` | `getIndexDelim()` |
    `HashSet<String>` | `getNaStrings()` |
    `org.apache.sysds.runtime.iogen.CustomProperties.GRPattern` | `getRowPattern()` |
    `void` | `setFirstColIndex​(int firstColIndex)` |
    `void` | `setFirstRowIndex​(int firstRowIndex)` |

    - ### Methods inherited from class org.apache.sysds.runtime.io.FileFormatProperties

      `getBlocksize, getDescription, knownBlocksize, setDescription`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomProperties

          public CustomProperties()

    - #### CustomProperties

          public CustomProperties​(org.apache.sysds.runtime.iogen.CustomProperties.GRPattern rowPattern,
                                  String delim,
                                  HashSet<String> naStrings)

    - #### CustomProperties

          public CustomProperties​(org.apache.sysds.runtime.iogen.CustomProperties.GRPattern rowPattern,
                                  String delim,
                                  String indexDelim,
                                  int firstColIndex)

    - #### CustomProperties

          public CustomProperties​(org.apache.sysds.runtime.iogen.CustomProperties.GRSymmetry grSymmetry,
                                  String delim,
                                  int firstRowIndex,
                                  int firstColIndex)

  - ### Method Detail

    - #### getDelim

          public String getDelim()

    - #### getIndexDelim

          public String getIndexDelim()

    - #### getNaStrings

          public HashSet<String> getNaStrings()

    - #### getRowPattern

          public org.apache.sysds.runtime.iogen.CustomProperties.GRPattern getRowPattern()

    - #### getColPattern

          public org.apache.sysds.runtime.iogen.CustomProperties.GRPattern getColPattern()

    - #### getGrSymmetry

          public org.apache.sysds.runtime.iogen.CustomProperties.GRSymmetry getGrSymmetry()

    - #### getFirstColIndex

          public int getFirstColIndex()

    - #### setFirstColIndex

          public void setFirstColIndex​(int firstColIndex)

    - #### getFirstRowIndex

          public int getFirstRowIndex()

    - #### setFirstRowIndex

          public void setFirstRowIndex​(int firstRowIndex)